Subject: Re: [lisp] Issue Title (number): Limiting number of headers(90)

From: Yakov Rekhter <[email-masked]>
Date: Thu, 17 Mar 2011 08:13:05 -0700

Darrel,

> Issue Title (number): Limiting number of headers(90)
> Draft Section: 3
> Issue Description: Reincapsulation of Headers
> Comments:
> 
> Section 3:
> 
>    Reencapsulating Tunnels: when a packet has no more than one LISP IP
>    header (two IP headers total) and when it needs to be diverted to
>    new RLOC, an ETR can decapsulate the packet (remove the LISP
>    header) and prepend a new tunnel header, with new RLOC, on to the
>    packet.
> 
> Why re-encapsulation is restricted to packets that only have a single 
> level of LISP encapsulation?
> 
> Response:
> 
> Dear Yakov-
> 
> Thank you for your contribution to draft-ietf-lisp-06.txt. The draft authors
> have reviewed your comments but do not feel that changes to the document are
> warranted at this time. To use common jargon, re-encapsulating is is a 'pop'
> and then a 'push'. That is all that is meant.  Please feel free to continue 
> discussion of your issue on the LISP working group mailing list, 
> [email-masked]. 
> Should discussion result in WG consensus that changes are required, the 
> authors will incorporate appropriate text into a future version of the draft.

That still does not answer my original question. Namely, what are
the reasons why re-encapsulation is restricted to packets that have
"no more than one LISP IP header" ?

Yakov.